Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034989
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2017-01-18 10:552017-03-15 20:18
ReporterioritzCiaView Statuspublic 
Assigned Toalostale 
PriorityhighResolutionfixedFixed in Version3.0PR17Q2
StatusclosedFix in branchFixed in SCM revisiona95f58378760
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034989: When login, the Openbravo.properties file is opened too often

DescriptionSee the log file attached and search for the following error:
Error reading properties
java.io.FileNotFoundException: /opt/OpenbravoERP/openbravo/config/Openbravo.properties (Trop de fichiers ouverts)

The file is opened too often, you can list the time the file has been opened with:

lsof -p <pid> (in our case java/tomcat pid)
lsof <file>

The code that opens the file is in src/org/openbravo/base/secureApp/UserLock.java file in UserLock constructor at the beginning
Steps To ReproduceLaunch several webservices in parallel
We can provide tools to do it
TagsPerformance
Attached Fileslog file icon openbravo.log [^] (3,735,552 bytes) 2017-01-18 10:56

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0093691)
hgbot (developer)
2017-01-18 13:10

Repository: erp/devel/pi
Changeset: a95f58378760062ea202eb077eb2112ce431edc3
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jan 18 13:08:14 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/a95f58378760062ea202eb077eb2112ce431edc3 [^]

fixed bug 34989: When login, the Openbravo.properties file is opened too often

  User locking mechanism was reading coonfiguration from Openbravo.properties in
  source path instead of using the standard cached properties. This caused unneeded
  overhead on loging.

  It has been fixed by:
   - Use the standard cached Openbravo.properties to retrieve this configuration
   - Read this config only once and set it in static fields
   - Some checks are now only done in case this feature is configured

---
M src/org/openbravo/base/secureApp/UserLock.java
---
(0093869)
caristu (developer)
2017-01-27 10:19

Code reviewed.
(0095106)
hudsonbot (developer)
2017-03-15 20:18

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/54e102bef53e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-01-18 10:55 ioritzCia New Issue
2017-01-18 10:55 ioritzCia Assigned To => platform
2017-01-18 10:55 ioritzCia Web browser => Google Chrome
2017-01-18 10:55 ioritzCia Modules => Core
2017-01-18 10:55 ioritzCia Triggers an Emergency Pack => No
2017-01-18 10:56 ioritzCia File Added: openbravo.log
2017-01-18 10:58 ioritzCia Web browser Google Chrome => Google Chrome
2017-01-18 10:58 ioritzCia Description Updated View Revisions
2017-01-18 13:04 alostale Tag Attached: Performance
2017-01-18 13:05 alostale Assigned To platform => alostale
2017-01-18 13:05 alostale Review Assigned To => caristu
2017-01-18 13:05 alostale Web browser Google Chrome => Google Chrome
2017-01-18 13:10 hgbot Checkin
2017-01-18 13:10 hgbot Note Added: 0093691
2017-01-18 13:10 hgbot Status new => resolved
2017-01-18 13:10 hgbot Resolution open => fixed
2017-01-18 13:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/a95f58378760062ea202eb077eb2112ce431edc3 [^]
2017-01-27 10:19 caristu Note Added: 0093869
2017-01-27 10:19 caristu Status resolved => closed
2017-01-27 10:19 caristu Fixed in Version => 3.0PR17Q2
2017-03-15 20:18 hudsonbot Checkin
2017-03-15 20:18 hudsonbot Note Added: 0095106


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker